org.apache.log4j.receivers.helpers

## Class UtilLoggingLevelTest

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - org.apache.log4j.receivers.helpers.UtilLoggingLevelTest

- All Implemented Interfaces:
    junit.framework.Test

      public class UtilLoggingLevelTest
      extends junit.framework.TestCase

  Unit tests for UtilLoggingLevel.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UtilLoggingLevelTest(String testName)` Create new instance of test.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `testToLevelFINEST()` Test toLevel("fiNeSt").

    - ### Methods inherited from class junit.framework.TestCase

      `countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

    - ### Methods inherited from class junit.framework.Assert

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UtilLoggingLevelTest

          public UtilLoggingLevelTest(String testName)

      Create new instance of test.
      Parameters:
        `testName` - test name

  - ### Method Detail

    - #### testToLevelFINEST

          public void testToLevelFINEST()

      Test toLevel("fiNeSt").

Copyright © 2013 The Apache Software Foundation. Licensed under the Apache License, Version 2.0

Apache Extras for Apache log4j, Apache log4j and Apache are trademarks of the Apache Software Foundation.